package com.kmall.common.utils.wechat;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.lang.StringUtils;
/**
 * @author huangyaqin
 * @version 1.0
 * 2018-11-01 14:47
 */


public class Base64Util {

    /**
     * 编码字符串
     * @param str
     * @return
     */
    public static String encode(byte[] str){
        if(str == null) return "";
        return Base64.encodeBase64String(str);
    }

    /**
     * 解码字符串
     * @param str
     * @return
     */
    public static byte[] decode(String str){
        if(StringUtils.isEmpty(str)) return null;
        return Base64.decodeBase64(str);
    }
}